List the people working an incident, the lead first.
GET
/incident/{incident_id}/participants
const url = 'https://api.siteqwality.com/incident/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/participants';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.siteqwality.com/incident/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/participants \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” incident_id
required
string format: uuid
Incident identifier
Responses
Section titled “ Responses ”The incident’s participants
Media type application/json
Array<object>
object
user_id
required
string format: uuid
role
required
string
added_by
Who added them; the acknowledger for an automatic lead.
string | null format: uuid
added_at
required
string format: date-time
paged_at
When they were paged on being added; null when they were not.
string | null format: date-time
Example
[ { "role": "lead" }]Missing or invalid authentication
Incident not found
Internal server error